import * as beet from '@j0nnyboi/beet';
import * as web3 from '@safecoin/web3.js';
export declare type WithdrawFromTreasuryInstructionArgs = {
    amount: beet.bignum;
};
export declare type WithdrawFromTreasuryInstructionAccounts = {
    treasuryMint: web3.PublicKey;
    authority: web3.PublicKey;
    treasuryWithdrawalDestination: web3.PublicKey;
    auctionHouseTreasury: web3.PublicKey;
    auctionHouse: web3.PublicKey;
};
export declare function createWithdrawFromTreasuryInstruction(accounts: WithdrawFromTreasuryInstructionAccounts, args: WithdrawFromTreasuryInstructionArgs): web3.TransactionInstruction;
